@import "../../../../assets/sass/modules/variables";

.main-content {
    background: $white-sand;
    position: relative;
    top: $topbar-height;

    .app-sidebar-closed & {
        margin-left: 50px;
    }

    .page-content {
        padding: 20px;
        height: 100%;

        @media screen and (min-width: $screen-sm-min) {
            padding: 20px 50px 50px 50px;
        }

        &::after {
            clear: both;
            content: '';
            display: block;
        }
    }

    .page-content > .header,
    .page-content > div > .header {
        padding: 15px 0;
        position: relative;

        h2 {

            font-size: 20px;
            color: darken($bluewood, 20%);
            font-family: 'Lato';
            letter-spacing: -0.5px;
            padding-bottom: 7px;
            font-weight: 100;

            @media screen and (min-width: $screen-md-min) {
                font-size: 28px;
            }
        }

        i {
            font-size: 24px;
            margin-right: 5px;
            opacity: 0.5;
            padding: 6px 7px;
        }
    }

    .page-content__scrolling {
        position: relative;
        height: calc(100vh - 265px);
        overflow-y: auto;

        &__inner {
            //overflow: hidden;
            position: relative;
            width: auto;
            padding-right: 15px !important;
        }
    }
}

@media screen and ($screen-md-max) {
    .main-content {
        .page-content > .header,
        .page-content > div > .header {
            h2 {

                span {
                    display: none;
                }
            }
        }
    }
}

.maximized-panel .page-content [class^='col-'] {
    width: 100% !important
}

@media screen and (max-width: $screen-sm-max) {
    .pushed-right--mobile {
        .main-content {
            margin-left: $sidebar-width;
        }
    }
}

@media screen and (min-width: $screen-md-min) {
    .pushed-right {
        > .main-content {
            margin-left: $sidebar-width;
        }
    }
}
